using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Countriy_Edit 的摘要说明。
	/// </summary>
	public class Country_Edit : BasePage
	{
		protected System.Web.UI.WebControls.Button btnSave;
		protected System.Web.UI.WebControls.TextBox txtName;
		CountrySystem country = new CountrySystem();
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			btnSave.Attributes["onclick"]="return Check_Input();";
			txtName.Attributes["onkeypress"] = this.GetExecuteControlScript(btnSave);
			if(!IsPostBack)
			{
				ViewState["CountryID"] = Request.QueryString["id"];
				BindData();
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void BindData()
		{
			txtName.Text = country.Info(ViewState["CountryID"])["CountryName"].ToString();
		}
		private void btnSave_Click(object sender, System.EventArgs e)
		{
			country.Update(ViewState["CountryID"],txtName.Text);
			Response.Redirect("Countries.aspx");
		}
	}
}
